=== debian/control ===
Source: ruby2.1
Section: ruby
Priority: extra
Maintainer: Antonio Terceiro <terceiro@debian.org>
Uploaders: Christian Hofstaedtler <zeha@debian.org>
Build-Depends: autotools-dev,
               bison,
               chrpath,
               coreutils (>= 7.5),
               debhelper (>= 8.0.0),
               dh-autoreconf,
               file,
               libffi-dev,
               libgdbm-dev,
               libgmp-dev,
               libncurses5-dev,
               libncursesw5-dev,
               libreadline6-dev,
               libssl-dev,
               libyaml-dev,
               openssl,
               procps,
               ruby | ruby-interpreter | ruby1.8,
               rubygems-integration (>= 1.6),
               systemtap-sdt-dev [linux-any],
#               tcl8.5-dev,
#               tk8.5-dev,
               zlib1g-dev
Standards-Version: 3.9.5
Homepage: http://www.ruby-lang.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/ruby.git -b master2.1
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ruby.git

Package: ruby2.1
Multi-Arch: foreign
Architecture: any
Depends: ruby (>= 1:1.9.3.1),
         rubygems-integration,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ruby-interpreter
Description: Interpreter of object-oriented scripting language Ruby
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 In the name of this package, `2.1' indicates the Ruby library compatibility
 version. This package currently provides the `2.1.x' branch of Ruby.

Package: libruby2.1
Section: libs
Multi-Arch: same
Architecture: any
Depends: libjs-jquery,
         ruby2.1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Libraries necessary to run Ruby 2.1
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 This package includes the 'libruby-2.1' library, necessary to run Ruby 2.1.
 (API version 2.1.0)

Package: ruby2.1-dev
Multi-Arch: same
Architecture: any
Depends: libgmp-dev,
         libruby2.1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Header files for compiling extension modules for the Ruby 2.1
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 This package contains the header files and the mkmf library, necessary
 to make extension library for Ruby 2.1. It is also required to build
 many gems.

Package: ruby2.1-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for Ruby 2.1
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 This package contains the autogenerated documentation for Ruby 2.1.

#Package: ruby2.1-tcltk
#Architecture: any
#Depends: ${misc:Depends}, ${shlibs:Depends}
#Description: Ruby/Tk for Ruby 2.1
# Ruby is the interpreted scripting language for quick and easy
# object-oriented programming.  It has many features to process text
# files and to do system management tasks (as in perl).  It is simple,
# straight-forward, and extensible.
# .
# This package provides Ruby/Tk, Ruby bindings for the Tk graphical user
# interface toolkit.
