## ruby2.1 2.1.5

=== debian/changelog ===
ruby2.1 (2.1.5-4ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Upstream doesn't support Tcl/Tk 8.6, stop building the extension.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Sep 2015 21:23:42 +0200

ruby2.1 (2.1.5-4) unstable; urgency=medium

  * debian/control: point Vcs-Git: to master-2.1 branch
  * Apply upstream patches to fix Request hijacking vulnerability in Rubygems
    [CVE-2015-3900] (Closes: #790119)

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 29 Jul 2015 22:18:59 -0300

ruby2.1 (2.1.5-3) unstable; urgency=high

  * Fix vulnerabiity with overly permissive matching of hostnames in OpenSSL
    extension [CVE-2015-1855]
    - applied revision 50296 of upstream svn repository.

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 17 Apr 2015 09:26:57 -0300

ruby2.1 (2.1.5-2) unstable; urgency=medium

  * Fix Segmentation fault after pack & ioctl & unpack (Closes: #781504)
    - apply r44804 from upstream svn
  * debian/upstream-changes: simpler and more accurate implementation

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 31 Mar 2015 21:50:39 -0300

ruby2.1 (2.1.5-1) unstable; urgency=medium

  * New upstream release
    - Fixes CVE-2014-8090 Another Denial of Service XML Expansion
      (Closes: #770932)
    - Fixes build on SPARC (Closes: #769731)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 29 Nov 2014 12:30:39 -0200

ruby2.1 (2.1.4-1) unstable; urgency=high

  * New upstream version
    - CVE-2014-8080: Denial of Service in XML Expansion
    - Changes default settings in OpenSSL bindings to not use deprecated and
      insecure ciphers; avoids issues associated to CVE-2014-3566 (i.e. the
      "POODLE" bug in OpenSSL)

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 29 Oct 2014 12:07:22 -0200

ruby2.1 (2.1.3-2) unstable; urgency=medium

  [ Sebastian Boehm ]
  * Install SystemTap tap file (Closes: #765862)

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 19 Oct 2014 20:07:50 +0200

ruby2.1 (2.1.3-1) unstable; urgency=medium

  * New upstream version

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 20 Sep 2014 16:55:47 +0200

ruby2.1 (2.1.2-4) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Move libjs-jquery dependency from libruby2.1 to ruby2.1, and turn it into
    Recommends:. This way programs that link against libruby2.1 won't pull in
    libjs-jquery; OTOH those using rdoc (and thus needing libjs-jquery) would
    be already using ruby2.1 anyway.

  [ Christian Hofstaedtler ]
  * Update Vcs-Git URL, as we've moved from master2.1 to master.
  * Prepare libruby21.symbols for x32 (Closes: #759615)
  * Remove embedded copies of SSL certificates. Rubygems is advised by
    rubygems-integration to use the ca-certificates provided certificates.
    (Closes: #689074)

 -- Christian Hofstaedtler <zeha@debian.org>  Fri, 05 Sep 2014 03:06:30 +0200

ruby2.1 (2.1.2-3) unstable; urgency=medium

  [ Antonio Terceiro ]
  * debian/rules: call debian/split-tk-out.rb with $(baseruby) instead of
    `ruby` to actually support bootstrapping with ruby1.8 (and no `ruby`)
  * Break dependency loop (Closes: #747858)
    - ruby2.1: drop dependency on ruby
    - libruby2.1: drop dependency on ruby2.1

  [ Christian Hofstaedtler ]
  * Add missing man pages for gem, rdoc, testrb (Closes: #756053, #756815)
  * Correct ruby2.1's Multi-Arch flag to 'allowed' (Closes: #745360)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 14 Aug 2014 10:45:29 -0300

ruby2.1 (2.1.2-2ubuntu3) vivid; urgency=medium

  * SECURITY UPDATE: denial of service via XML expansion
    - debian/patches/CVE-2014-8090.patch: add REXML::Document#document
      to rexml/document.rb, add warning to rexml/entity.rb, added tests to
      test/rexml/test_document.rb.
    - CVE-2014-8090

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 19 Nov 2014 08:23:15 -0500

ruby2.1 (2.1.2-2ubuntu2) vivid; urgency=medium

  * SECURITY UPDATE: denial of service via buffer overrun in encodes
    function
    - debian/patches/CVE-2014x-4975.patch: properly calculate buffer size
      in pack.c, added test to test/ruby/test_pack.rb.
    - CVE-2014-4975
  * SECURITY UPDATE: denial of service via XML expansion
    - debian/patches/CVE-2014-8080.patch: limit expansions in
      lib/rexml/entity.rb, added tests to test/rexml/test_document.rb,
      test/rexml/test_entity.rb.
    - CVE-2014-8080

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 04 Nov 2014 14:50:11 -0500
