=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ruby2.1
 Section: ruby
 Priority: extra
-Maintainer: Antonio Terceiro <terceiro@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Antonio Terceiro <terceiro@debian.org>
 Uploaders: Christian Hofstaedtler <zeha@debian.org>
 Build-Depends: autotools-dev,
                bison,
@@ -28,16 +29,16 @@
                zlib1g-dev
 Standards-Version: 3.9.5
 Homepage: http://www.ruby-lang.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/ruby.git -b master2.1
+Vcs-Git: git://anonscm.debian.org/collab-maint/ruby.git -b master-2.1
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ruby.git
 
 Package: ruby2.1
-Multi-Arch: foreign
+Multi-Arch: allowed
 Architecture: any
-Depends: ruby (>= 1:1.9.3.1),
-         rubygems-integration,
+Depends: rubygems-integration (>= 1.8),
          ${misc:Depends},
          ${shlibs:Depends}
+Recommends: libjs-jquery
 Provides: ruby-interpreter
 Description: Interpreter of object-oriented scripting language Ruby
  Ruby is the interpreted scripting language for quick and easy
@@ -52,9 +53,7 @@
 Section: libs
 Multi-Arch: same
 Architecture: any
-Depends: libjs-jquery,
-         ruby2.1 (= ${binary:Version}),
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: Libraries necessary to run Ruby 2.1
  Ruby is the interpreted scripting language for quick and easy
