=== debian/rules ===
--- 
+++ 
@@ -79,6 +79,8 @@
 	# handle embedded copy of jquery
 	$(RM) $(CURDIR)/debian/tmp/usr/lib/ruby/2.1.0/rdoc/generator/template/darkfish/js/jquery.js
 	dh_link -plibruby2.1 /usr/share/javascript/jquery/jquery.min.js /usr/lib/ruby/2.1.0/rdoc/generator/template/darkfish/js/jquery.js
+	# remove embedded SSL certificates (replaced using ca-certificates via rubygems-integration)
+	$(RM) $(CURDIR)/debian/tmp/usr/lib/ruby/2.1.0/rubygems/ssl_certs/*
 	# sanity check
 	debian/sanity_check
 
@@ -89,8 +91,11 @@
 	$(MAKE) install-doc DESTDIR=$(CURDIR)/debian/ruby2.1-doc
 
 override_dh_install-arch:
+	# install SystemTap tapfile
+	mkdir -p $(CURDIR)/debian/tmp/usr/share/systemtap/tapset
+	sed 's|@LIBRARY_PATH@|/usr/lib/$(DEB_HOST_MULTIARCH)/libruby-2.1.so|g' $(CURDIR)/debian/libruby.stp > $(CURDIR)/debian/tmp/usr/share/systemtap/tapset/libruby2.1-$(DEB_HOST_MULTIARCH).stp
 	dh_install
 ifeq ($(with_tcltk),yes)
 	# split Ruby/Tk files
-	ruby debian/split-tk-out.rb
+	$(baseruby) debian/split-tk-out.rb
 endif
